Get metric tags for a dataset

GET/v1/query/metrics/info/datasets/{dataset}/metrics/{metric}/tags

Parameters #

PropertyTypeLocationDescription
datasetstringRequiredpathThe dataset to retrieve metric tags from
metricstringRequiredpathThe metric name to retrieve tags for
startstringRequiredqueryStart time for timeframe to return (RFC3339 format)
endstringRequiredqueryEnd time for timeframe to return (RFC3339 format)

Request #

curl -X GET 'https://{axiom-domain}/v1/query/metrics/info/datasets/DATASET/metrics/METRIC/tags' \
  -H 'Authorization: Bearer API_TOKEN'
Try itRun this request against your Axiom organization

Credentials stay in this browser tab and are only sent to Axiom when you run the request.

Response #

200Tag names for the specified metric
application/json, application/vnd.metrics-info.v2+json
404Dataset or metric not found
application/json, application/vnd.metrics-info.v2+json
defaultUser or system error
application/json, application/vnd.metrics-info.v2+json